import { JupyterFrontEnd } from '@jupyterlab/application';
import { Settings } from '@jupyterlab/settingregistry';
export interface ICodeSnippet {
    name: string;
    description?: string;
    language: string;
    code: string;
    id: number;
    tags?: string[];
}
export declare class CodeSnippetService {
    private settingManager;
    private static codeSnippetService;
    private codeSnippetList;
    private constructor();
    private convertToICodeSnippetList;
    static init(settings: Settings, app: JupyterFrontEnd): void;
    static getCodeSnippetService(): CodeSnippetService;
    get settings(): Settings;
    get snippets(): ICodeSnippet[];
    getSnippetByName(snippetName: string): ICodeSnippet[];
    addSnippet(snippet: ICodeSnippet): Promise<boolean>;
    deleteSnippet(id: number): Promise<boolean>;
    renameSnippet(oldName: string, newName: string): Promise<boolean>;
    duplicateNameExists(newName: string): boolean;
    modifyExistingSnippet(oldName: string, newSnippet: ICodeSnippet): Promise<boolean>;
    moveSnippet(fromIdx: number, toIdx: number): Promise<boolean>;
    orderSnippets(): Promise<boolean>;
}
